## org.apache.batik.css.engine
Interface StyleDeclarationProvider

All Known Implementing Classes:
  CSSOMStoredStyleDeclaration, SVGStylableElement.OverrideStyleDeclaration, SVGStylableElement.StyleDeclaration

    public interface StyleDeclarationProvider

An interface for `CSSStyleDeclaration` objects to expose their underlying `StyleDeclaration` objects storing the properties.

Method Summary
`StyleDeclaration` `getStyleDeclaration()` Returns the object storing the properties of this style declaration.
`void` `setStyleDeclaration(StyleDeclaration sd)` Sets the object storing the properties of this style declaration.

Method Detail

### getStyleDeclaration

    StyleDeclaration getStyleDeclaration()

  Returns the object storing the properties of this style declaration.

### setStyleDeclaration

    void setStyleDeclaration(StyleDeclaration sd)

  Sets the object storing the properties of this style declaration.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.